Package org.springframework.security.web.webauthn.api

# Interface CredentialRecord

All Known Implementing Classes:
  `ImmutableCredentialRecord`

public interface CredentialRecord
Represents a Credential Record that is stored by the Relying Party after successful registration.

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`Bytes`
`getAttestationClientDataJSON()`
The attestationClientDataJSON is the value of the attestationObject attribute when the public key credential source was registered.
`Bytes`
`getAttestationObject()`
The attestationObject is the value of the attestationObject attribute when the public key credential source was registered.
`Instant`
`getCreated()`
When this `CredentialRecord` was created.
`Bytes`
`getCredentialId()`
The credential.id.
`PublicKeyCredentialType`
`getCredentialType()`
The credential.type
`String`
`getLabel()`
A human-readable label for this `CredentialRecord` assigned by the user.
`Instant`
`getLastUsed()`
The last time this `CredentialRecord` was used.
`PublicKeyCose`
`getPublicKey()`
The publicKey
`long`
`getSignatureCount()`
The authData.signCount
`Set<AuthenticatorTransport>`
`getTransports()`
The transpots is the value returned from `response.getTransports()`.
`Bytes`
`getUserEntityUserId()`
A reference to the associated `PublicKeyCredentialUserEntity.getId()`
`boolean`
`isBackupEligible()`
The backupElgible flag is the same as the BE flag in authData.
`boolean`
`isBackupState()`
The backupState flag is the same as the BS flag in authData.
`boolean`
`isUvInitialized()`
uvInitialized is the value of the UV (user verified) flag in authData and indicates whether any credential from this public key credential source has had the UV flag set.

## Method Details

### getCredentialType

PublicKeyCredentialType getCredentialType()
The credential.type

Returns:

### getCredentialId

Bytes getCredentialId()
The credential.id.

Returns:

### getPublicKey

PublicKeyCose getPublicKey()
The publicKey

Returns:

### getSignatureCount

long getSignatureCount()
The authData.signCount

Returns:

### isUvInitialized

boolean isUvInitialized()
uvInitialized is the value of the UV (user verified) flag in authData and indicates whether any credential from this public key credential source has had the UV flag set.

Returns:

### getTransports

Set<AuthenticatorTransport> getTransports()
The transpots is the value returned from `response.getTransports()`.

Returns:

### isBackupEligible

boolean isBackupEligible()
The backupElgible flag is the same as the BE flag in authData.

Returns:

### isBackupState

boolean isBackupState()
The backupState flag is the same as the BS flag in authData.

Returns:

### getUserEntityUserId

Bytes getUserEntityUserId()
A reference to the associated `PublicKeyCredentialUserEntity.getId()`

Returns:

### getAttestationObject

Bytes getAttestationObject()
The attestationObject is the value of the attestationObject attribute when the public key credential source was registered.

Returns:
  the attestationObject

### getAttestationClientDataJSON

Bytes getAttestationClientDataJSON()
The attestationClientDataJSON is the value of the attestationObject attribute when the public key credential source was registered.

Returns:

### getLabel

String getLabel()
A human-readable label for this `CredentialRecord` assigned by the user.

Returns:
  a label

### getLastUsed

Instant getLastUsed()
The last time this `CredentialRecord` was used.

Returns:
  the last time this `CredentialRecord` was used.

### getCreated

Instant getCreated()
When this `CredentialRecord` was created.

Returns:
  When this `CredentialRecord` was created.